Bug 180103 - devel/tevent attempts to install to /usr/local rather than PREFIX
Summary: devel/tevent attempts to install to /usr/local rather than PREFIX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Timur I. Bakeyev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-29 21:30 UTC by Erick Turnquist
Modified: 2013-07-01 15:10 UTC (History)
0 users

See Also:


Attachments
file.diff (492 bytes, patch)
2013-06-29 21:30 UTC, Erick Turnquist
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erick Turnquist 2013-06-29 21:30:01 UTC
My make.conf contains:

PREFIX=/usr/pkg
LOCALBASE=/usr/pkg

the tevent 'make install' attempts to install to /usr/local

Fix: Patch to add --prefix to the configure args is attached.

Patch attached with submission follows:
How-To-Repeat: Set a non-default PREFIX and make -C /usr/ports/devel/tevent install
Comment 1 Edwin Groothuis freebsd_committer 2013-06-30 01:29:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->timur

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-07-01 03:36:22 UTC
Author: timur
Date: Mon Jul  1 02:36:07 2013
New Revision: 322111
URL: http://svnweb.freebsd.org/changeset/ports/322111

Log:
  Update relevant ports to the latest release and fix disappeared --prefix
  from the bsd.ports.mk.
  
  PR:		180102, 180103, 180136

Modified:
  head/databases/ldb/Makefile
  head/databases/ldb/distinfo
  head/databases/tdb/Makefile
  head/databases/tdb/distinfo
  head/devel/talloc/Makefile
  head/devel/tevent/Makefile
  head/devel/tevent/files/patch-lib__replace__wscript
  head/devel/tevent/files/patch-wscript

Modified: head/databases/ldb/Makefile
==============================================================================
--- head/databases/ldb/Makefile	Mon Jul  1 01:52:10 2013	(r322110)
+++ head/databases/ldb/Makefile	Mon Jul  1 02:36:07 2013	(r322111)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=		ldb
-PORTVERSION=		1.1.15
+PORTVERSION=		1.1.16
 PORTREVISION=		0
 PORTEPOCH=		0
 CATEGORIES=		databases
@@ -29,6 +29,10 @@ MAKE_JOBS_SAFE=		yes
 PKGCONFIGDIR?=		${PREFIX}/libdata/pkgconfig
 PLIST_SUB+=		PKGCONFIGDIR=${PKGCONFIGDIR:S;${PREFIX}/;;}
 
+CONFIGURE_ARGS+=	--prefix=${PREFIX} \
+			--mandir=${MANPREFIX}/man \
+			--infodir=${PREFIX}/${INFO_PATH}/${INFO_SUBDIR}
+
 .include <bsd.port.options.mk>
 
 BUILD_DEPENDS+=		talloc>=2.0.8:${PORTSDIR}/devel/talloc \
@@ -83,8 +87,6 @@ CONFIGURE_ENV+=		XSLTPROC="/usr/bin/true
 CONFIGURE_ENV+=		NOCOLOR=yes
 MAKE_ENV+=		NOCOLOR=yes
 
-CONFIGURE_ARGS+=	--mandir=${MANPREFIX}/man
-
 .if !defined(DISABLE_MAKE_JOBS) && !defined(MAKE_JOBS_UNSAFE)
 .if defined(MAKE_JOBS_SAFE) || defined(FORCE_MAKE_JOBS)
 CONFIGURE_ARGS+=	--jobs=${MAKE_JOBS_NUMBER}

Modified: head/databases/ldb/distinfo
==============================================================================
--- head/databases/ldb/distinfo	Mon Jul  1 01:52:10 2013	(r322110)
+++ head/databases/ldb/distinfo	Mon Jul  1 02:36:07 2013	(r322111)
@@ -1,2 +1,2 @@
-SHA256 (ldb-1.1.15.tar.gz) = 6bd8317e82747461394ab8ad1ee5873589d9a46d12f021571aca9fac45de8997
-SIZE (ldb-1.1.15.tar.gz) = 1121684
+SHA256 (ldb-1.1.16.tar.gz) = 15c679fc4f1ae5956f5f81bc7caf5840992db65da6c804854a893d1f6423daf9
+SIZE (ldb-1.1.16.tar.gz) = 1167348

Modified: head/databases/tdb/Makefile
==============================================================================
--- head/databases/tdb/Makefile	Mon Jul  1 01:52:10 2013	(r322110)
+++ head/databases/tdb/Makefile	Mon Jul  1 02:36:07 2013	(r322111)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=		tdb
-PORTVERSION=		1.2.11
+PORTVERSION=		1.2.12
 PORTREVISION=		0
 PORTEPOCH=		1
 CATEGORIES=		databases
@@ -27,6 +27,10 @@ MAKE_JOBS_SAFE=		yes
 PKGCONFIGDIR?=		${PREFIX}/libdata/pkgconfig
 PLIST_SUB+=		PKGCONFIGDIR=${PKGCONFIGDIR:S;${PREFIX}/;;}
 
+CONFIGURE_ARGS+=	--prefix=${PREFIX} \
+			--mandir=${MANPREFIX}/man \
+			--infodir=${PREFIX}/${INFO_PATH}/${INFO_SUBDIR}
+
 OPTIONS_DEFINE=		PYTHON
 OPTIONS_DEFAULT=	PYTHON
 
@@ -50,8 +54,6 @@ CONFIGURE_ENV+=		XSLTPROC="/usr/bin/true
 CONFIGURE_ENV+=		NOCOLOR=yes
 MAKE_ENV+=		NOCOLOR=yes
 
-CONFIGURE_ARGS+=	--mandir=${MANPREFIX}/man
-
 .if !defined(DISABLE_MAKE_JOBS) && !defined(MAKE_JOBS_UNSAFE)
 .if defined(MAKE_JOBS_SAFE) || defined(FORCE_MAKE_JOBS)
 CONFIGURE_ARGS+=	--jobs=${MAKE_JOBS_NUMBER}
@@ -90,8 +92,8 @@ pre-configure:
 
 pre-build:
 .for man in ${MAN8}
-			@${MKDIR} ${BUILD_WRKSRC}/bin/default/manpages
-			@${INSTALL_MAN} ${FILESDIR}/${man} ${BUILD_WRKSRC}/bin/default/manpages
+			@${MKDIR} ${BUILD_WRKSRC}/bin/default/man
+			@${INSTALL_MAN} ${FILESDIR}/${man} ${BUILD_WRKSRC}/bin/default/man
 .endfor
 
 do-build:

Modified: head/databases/tdb/distinfo
==============================================================================
--- head/databases/tdb/distinfo	Mon Jul  1 01:52:10 2013	(r322110)
+++ head/databases/tdb/distinfo	Mon Jul  1 02:36:07 2013	(r322111)
@@ -1,2 +1,2 @@
-SHA256 (tdb-1.2.11.tar.gz) = f10eae6361b033131d2deebfcccbcaeb3d8006747005f5240d68e8b70632f6c2
-SIZE (tdb-1.2.11.tar.gz) = 481298
+SHA256 (tdb-1.2.12.tar.gz) = 282d3db1cc56ac3011ae5f3922fd0c5bb217ecb0320836c23b6fe67f2163a71f
+SIZE (tdb-1.2.12.tar.gz) = 462590

Modified: head/devel/talloc/Makefile
==============================================================================
--- head/devel/talloc/Makefile	Mon Jul  1 01:52:10 2013	(r322110)
+++ head/devel/talloc/Makefile	Mon Jul  1 02:36:07 2013	(r322111)
@@ -28,7 +28,11 @@ MAKE_JOBS_SAFE=		yes
 PKGCONFIGDIR?=		${PREFIX}/libdata/pkgconfig
 PLIST_SUB+=		PKGCONFIGDIR=${PKGCONFIGDIR:S;${PREFIX}/;;}
 
-OPTIONS_DEFINE=	PYTHON
+CONFIGURE_ARGS+=	--prefix=${PREFIX} \
+			--mandir=${MANPREFIX}/man \
+			--infodir=${PREFIX}/${INFO_PATH}/${INFO_SUBDIR}
+
+OPTIONS_DEFINE=		PYTHON
 OPTIONS_DEFAULT=	PYTHON
 
 .include <bsd.port.options.mk>
@@ -44,8 +48,6 @@ CONFIGURE_ENV+=		XSLTPROC="/usr/bin/true
 CONFIGURE_ENV+=		NOCOLOR=yes
 MAKE_ENV+=		NOCOLOR=yes
 
-CONFIGURE_ARGS+=	--mandir=${MANPREFIX}/man
-
 .if !defined(DISABLE_MAKE_JOBS) && !defined(MAKE_JOBS_UNSAFE)
 .if defined(MAKE_JOBS_SAFE) || defined(FORCE_MAKE_JOBS)
 CONFIGURE_ARGS+=	--jobs=${MAKE_JOBS_NUMBER}

Modified: head/devel/tevent/Makefile
==============================================================================
--- head/devel/tevent/Makefile	Mon Jul  1 01:52:10 2013	(r322110)
+++ head/devel/tevent/Makefile	Mon Jul  1 02:36:07 2013	(r322111)
@@ -28,7 +28,11 @@ MAKE_JOBS_SAFE=		yes
 PKGCONFIGDIR?=		${PREFIX}/libdata/pkgconfig
 PLIST_SUB+=		PKGCONFIGDIR=${PKGCONFIGDIR:S;${PREFIX}/;;}
 
-OPTIONS_DEFINE=	PYTHON
+CONFIGURE_ARGS+=	--prefix=${PREFIX} \
+			--mandir=${MANPREFIX}/man \
+			--infodir=${PREFIX}/${INFO_PATH}/${INFO_SUBDIR}
+
+OPTIONS_DEFINE=		PYTHON
 OPTIONS_DEFAULT=	PYTHON
 
 .include <bsd.port.options.mk>
@@ -38,14 +42,10 @@ PLIST_FILES=		include/tevent.h \
 			lib/libtevent.so.0 \
 			%%PKGCONFIGDIR%%/tevent.pc
 
-#			include/tevent_internal.h \
-
 CONFIGURE_ENV+=		XSLTPROC="/usr/bin/true"
 CONFIGURE_ENV+=		NOCOLOR=yes
 MAKE_ENV+=		NOCOLOR=yes
 
-CONFIGURE_ARGS+=	--mandir=${MANPREFIX}/man
-
 BUILD_DEPENDS+=		talloc>=2.0.8:${PORTSDIR}/devel/talloc
 RUN_DEPENDS:=		${BUILD_DEPENDS}
 
@@ -100,11 +100,13 @@ do-build:
 			${FALSE}; \
 			fi)
 
-do-install:
-			@(cd ${INSTALL_WRKSRC} && ${SETENV} ${MAKE_ENV} ${PYTHON_CMD} ${INSTALL_WRKSRC}/${WAF_TOOL} ${MAKE_ARGS} ${INSTALL_TARGET})
+post-build:
 .if ${PORT_OPTIONS:MPYTHON}
-			${PYTHON_CMD} -m py_compile ${PYTHON_SITELIBDIR}/tevent.py
-			${PYTHON_CMD} -O -m py_compile ${PYTHON_SITELIBDIR}/tevent.py
+			${PYTHON_CMD} -m py_compile ${BUILD_WRKSRC}/tevent.py
+			${PYTHON_CMD} -O -m py_compile ${BUILD_WRKSRC}/tevent.py
 .endif
 
+do-install:
+			@(cd ${INSTALL_WRKSRC} && ${SETENV} ${MAKE_ENV} ${PYTHON_CMD} ${INSTALL_WRKSRC}/${WAF_TOOL} ${MAKE_ARGS} ${INSTALL_TARGET})
+
 .include <bsd.port.post.mk>

Modified: head/devel/tevent/files/patch-lib__replace__wscript
==============================================================================
--- head/devel/tevent/files/patch-lib__replace__wscript	Mon Jul  1 01:52:10 2013	(r322110)
+++ head/devel/tevent/files/patch-lib__replace__wscript	Mon Jul  1 02:36:07 2013	(r322111)
@@ -1,8 +1,11 @@
---- lib/replace/wscript.orig
-+++ lib/replace/wscript
-@@ -55,6 +55,7 @@
+--- lib/replace/wscript.orig	2013-06-30 21:48:11.959883882 +0000
++++ lib/replace/wscript	2013-06-30 21:48:25.639903597 +0000
+@@ -53,8 +53,9 @@
+                 conf.ADD_CFLAGS(f)
+             break
  
-     if conf.CHECK_CFLAGS(['-fstack-protector']):
+-    if conf.CHECK_CFLAGS(['-fstack-protector']):
++    if conf.CHECK_CFLAGS(['-fstack-protector']) and conf.CHECK_LDFLAGS(['-fstack-protector']):
          conf.ADD_CFLAGS('-fstack-protector')
 +        conf.ADD_LDFLAGS('-fstack-protector')
  

Modified: head/devel/tevent/files/patch-wscript
==============================================================================
--- head/devel/tevent/files/patch-wscript	Mon Jul  1 01:52:10 2013	(r322110)
+++ head/devel/tevent/files/patch-wscript	Mon Jul  1 02:36:07 2013	(r322111)
@@ -1,6 +1,6 @@
---- wscript.orig	2012-02-09 13:14:17.000000000 +0100
-+++ wscript	2012-03-14 23:32:55.000000000 +0100
-@@ -73,7 +73,7 @@
+--- wscript.orig	2013-03-02 08:57:47.000000000 +0000
++++ wscript	2013-06-30 06:22:09.109879947 +0000
+@@ -90,7 +90,7 @@
          SRC += ' tevent_epoll.c'
  
      if bld.env.standalone_tevent:
@@ -9,3 +9,12 @@
          private_library = False
      else:
          private_library = True
+@@ -120,7 +120,7 @@
+                          pattern='tevent.py',
+                          installdir='python')
+ 
+-        bld.INSTALL_WILDCARD('${PYTHONARCHDIR}', 'tevent.py', flat=False)
++        bld.INSTALL_WILDCARD('${PYTHONARCHDIR}', 'tevent.py*', flat=False)
+ 
+ 
+ def test(ctx):
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Timur I. Bakeyev freebsd_committer 2013-07-01 03:42:14 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2013-07-01 15:01:21 UTC
send followup missed due to the commit message

On Mon, Jul 1, 2013 at 4:36 AM, Timur I. Bakeyev <timur@freebsd.org> wrote:
> Author: timur
> Date: Mon Jul  1 02:36:07 2013
> New Revision: 322111
> URL: http://svnweb.freebsd.org/changeset/ports/322111
>
> Log:
>   Update relevant ports to the latest release and fix disappeared --prefix
>   from the bsd.ports.mk.
>
>   PR:           180102, 180103, 180136  http://www.FreeBSD.org/cgi/query-pr.cgi?pr=180102
>
> Modified:
>   head/databases/ldb/Makefile
>   head/databases/ldb/distinfo
>   head/databases/tdb/Makefile
>   head/databases/tdb/distinfo
>   head/devel/talloc/Makefile
>   head/devel/tevent/Makefile
>   head/devel/tevent/files/patch-lib__replace__wscript
>   head/devel/tevent/files/patch-wscript
>
> Modified: head/databases/ldb/Makefile
> ==============================================================================
> --- head/databases/ldb/Makefile Mon Jul  1 01:52:10 2013        (r322110)
> +++ head/databases/ldb/Makefile Mon Jul  1 02:36:07 2013        (r322111)
> @@ -1,7 +1,7 @@
>  # $FreeBSD$
>
>  PORTNAME=              ldb
> -PORTVERSION=           1.1.15
> +PORTVERSION=           1.1.16
>  PORTREVISION=          0
>  PORTEPOCH=             0
>  CATEGORIES=            databases
> @@ -29,6 +29,10 @@ MAKE_JOBS_SAFE=              yes
>  PKGCONFIGDIR?=         ${PREFIX}/libdata/pkgconfig
>  PLIST_SUB+=            PKGCONFIGDIR=${PKGCONFIGDIR:S;${PREFIX}/;;}
>
> +CONFIGURE_ARGS+=       --prefix=${PREFIX} \
> +                       --mandir=${MANPREFIX}/man \
> +                       --infodir=${PREFIX}/${INFO_PATH}/${INFO_SUBDIR}
> +
>  .include <bsd.port.options.mk>
>
>  BUILD_DEPENDS+=                talloc>=2.0.8:${PORTSDIR}/devel/talloc \
> @@ -83,8 +87,6 @@ CONFIGURE_ENV+=               XSLTPROC="/usr/bin/true
>  CONFIGURE_ENV+=                NOCOLOR=yes
>  MAKE_ENV+=             NOCOLOR=yes
>
> -CONFIGURE_ARGS+=       --mandir=${MANPREFIX}/man
> -
>  .if !defined(DISABLE_MAKE_JOBS) && !defined(MAKE_JOBS_UNSAFE)
>  .if defined(MAKE_JOBS_SAFE) || defined(FORCE_MAKE_JOBS)
>  CONFIGURE_ARGS+=       --jobs=${MAKE_JOBS_NUMBER}
>
> Modified: head/databases/ldb/distinfo
> ==============================================================================
> --- head/databases/ldb/distinfo Mon Jul  1 01:52:10 2013        (r322110)
> +++ head/databases/ldb/distinfo Mon Jul  1 02:36:07 2013        (r322111)
> @@ -1,2 +1,2 @@
> -SHA256 (ldb-1.1.15.tar.gz) = 6bd8317e82747461394ab8ad1ee5873589d9a46d12f021571aca9fac45de8997
> -SIZE (ldb-1.1.15.tar.gz) = 1121684
> +SHA256 (ldb-1.1.16.tar.gz) = 15c679fc4f1ae5956f5f81bc7caf5840992db65da6c804854a893d1f6423daf9
> +SIZE (ldb-1.1.16.tar.gz) = 1167348
>
> Modified: head/databases/tdb/Makefile
> ==============================================================================
> --- head/databases/tdb/Makefile Mon Jul  1 01:52:10 2013        (r322110)
> +++ head/databases/tdb/Makefile Mon Jul  1 02:36:07 2013        (r322111)
> @@ -1,7 +1,7 @@
>  # $FreeBSD$
>
>  PORTNAME=              tdb
> -PORTVERSION=           1.2.11
> +PORTVERSION=           1.2.12
>  PORTREVISION=          0
>  PORTEPOCH=             1
>  CATEGORIES=            databases
> @@ -27,6 +27,10 @@ MAKE_JOBS_SAFE=              yes
>  PKGCONFIGDIR?=         ${PREFIX}/libdata/pkgconfig
>  PLIST_SUB+=            PKGCONFIGDIR=${PKGCONFIGDIR:S;${PREFIX}/;;}
>
> +CONFIGURE_ARGS+=       --prefix=${PREFIX} \
> +                       --mandir=${MANPREFIX}/man \
> +                       --infodir=${PREFIX}/${INFO_PATH}/${INFO_SUBDIR}
> +
>  OPTIONS_DEFINE=                PYTHON
>  OPTIONS_DEFAULT=       PYTHON
>
> @@ -50,8 +54,6 @@ CONFIGURE_ENV+=               XSLTPROC="/usr/bin/true
>  CONFIGURE_ENV+=                NOCOLOR=yes
>  MAKE_ENV+=             NOCOLOR=yes
>
> -CONFIGURE_ARGS+=       --mandir=${MANPREFIX}/man
> -
>  .if !defined(DISABLE_MAKE_JOBS) && !defined(MAKE_JOBS_UNSAFE)
>  .if defined(MAKE_JOBS_SAFE) || defined(FORCE_MAKE_JOBS)
>  CONFIGURE_ARGS+=       --jobs=${MAKE_JOBS_NUMBER}
> @@ -90,8 +92,8 @@ pre-configure:
>
>  pre-build:
>  .for man in ${MAN8}
> -                       @${MKDIR} ${BUILD_WRKSRC}/bin/default/manpages
> -                       @${INSTALL_MAN} ${FILESDIR}/${man} ${BUILD_WRKSRC}/bin/default/manpages
> +                       @${MKDIR} ${BUILD_WRKSRC}/bin/default/man
> +                       @${INSTALL_MAN} ${FILESDIR}/${man} ${BUILD_WRKSRC}/bin/default/man
>  .endfor
>
>  do-build:
>
> Modified: head/databases/tdb/distinfo
> ==============================================================================
> --- head/databases/tdb/distinfo Mon Jul  1 01:52:10 2013        (r322110)
> +++ head/databases/tdb/distinfo Mon Jul  1 02:36:07 2013        (r322111)
> @@ -1,2 +1,2 @@
> -SHA256 (tdb-1.2.11.tar.gz) = f10eae6361b033131d2deebfcccbcaeb3d8006747005f5240d68e8b70632f6c2
> -SIZE (tdb-1.2.11.tar.gz) = 481298
> +SHA256 (tdb-1.2.12.tar.gz) = 282d3db1cc56ac3011ae5f3922fd0c5bb217ecb0320836c23b6fe67f2163a71f
> +SIZE (tdb-1.2.12.tar.gz) = 462590
>
> Modified: head/devel/talloc/Makefile
> ==============================================================================
> --- head/devel/talloc/Makefile  Mon Jul  1 01:52:10 2013        (r322110)
> +++ head/devel/talloc/Makefile  Mon Jul  1 02:36:07 2013        (r322111)
> @@ -28,7 +28,11 @@ MAKE_JOBS_SAFE=              yes
>  PKGCONFIGDIR?=         ${PREFIX}/libdata/pkgconfig
>  PLIST_SUB+=            PKGCONFIGDIR=${PKGCONFIGDIR:S;${PREFIX}/;;}
>
> -OPTIONS_DEFINE=        PYTHON
> +CONFIGURE_ARGS+=       --prefix=${PREFIX} \
> +                       --mandir=${MANPREFIX}/man \
> +                       --infodir=${PREFIX}/${INFO_PATH}/${INFO_SUBDIR}
> +
> +OPTIONS_DEFINE=                PYTHON
>  OPTIONS_DEFAULT=       PYTHON
>
>  .include <bsd.port.options.mk>
> @@ -44,8 +48,6 @@ CONFIGURE_ENV+=               XSLTPROC="/usr/bin/true
>  CONFIGURE_ENV+=                NOCOLOR=yes
>  MAKE_ENV+=             NOCOLOR=yes
>
> -CONFIGURE_ARGS+=       --mandir=${MANPREFIX}/man
> -
>  .if !defined(DISABLE_MAKE_JOBS) && !defined(MAKE_JOBS_UNSAFE)
>  .if defined(MAKE_JOBS_SAFE) || defined(FORCE_MAKE_JOBS)
>  CONFIGURE_ARGS+=       --jobs=${MAKE_JOBS_NUMBER}
>
> Modified: head/devel/tevent/Makefile
> ==============================================================================
> --- head/devel/tevent/Makefile  Mon Jul  1 01:52:10 2013        (r322110)
> +++ head/devel/tevent/Makefile  Mon Jul  1 02:36:07 2013        (r322111)
> @@ -28,7 +28,11 @@ MAKE_JOBS_SAFE=              yes
>  PKGCONFIGDIR?=         ${PREFIX}/libdata/pkgconfig
>  PLIST_SUB+=            PKGCONFIGDIR=${PKGCONFIGDIR:S;${PREFIX}/;;}
>
> -OPTIONS_DEFINE=        PYTHON
> +CONFIGURE_ARGS+=       --prefix=${PREFIX} \
> +                       --mandir=${MANPREFIX}/man \
> +                       --infodir=${PREFIX}/${INFO_PATH}/${INFO_SUBDIR}
> +
> +OPTIONS_DEFINE=                PYTHON
>  OPTIONS_DEFAULT=       PYTHON
>
>  .include <bsd.port.options.mk>
> @@ -38,14 +42,10 @@ PLIST_FILES=                include/tevent.h \
>                         lib/libtevent.so.0 \
>                         %%PKGCONFIGDIR%%/tevent.pc
>
> -#                      include/tevent_internal.h \
> -
>  CONFIGURE_ENV+=                XSLTPROC="/usr/bin/true"
>  CONFIGURE_ENV+=                NOCOLOR=yes
>  MAKE_ENV+=             NOCOLOR=yes
>
> -CONFIGURE_ARGS+=       --mandir=${MANPREFIX}/man
> -
>  BUILD_DEPENDS+=                talloc>=2.0.8:${PORTSDIR}/devel/talloc
>  RUN_DEPENDS:=          ${BUILD_DEPENDS}
>
> @@ -100,11 +100,13 @@ do-build:
>                         ${FALSE}; \
>                         fi)
>
> -do-install:
> -                       @(cd ${INSTALL_WRKSRC} && ${SETENV} ${MAKE_ENV} ${PYTHON_CMD} ${INSTALL_WRKSRC}/${WAF_TOOL} ${MAKE_ARGS} ${INSTALL_TARGET})
> +post-build:
>  .if ${PORT_OPTIONS:MPYTHON}
> -                       ${PYTHON_CMD} -m py_compile ${PYTHON_SITELIBDIR}/tevent.py
> -                       ${PYTHON_CMD} -O -m py_compile ${PYTHON_SITELIBDIR}/tevent.py
> +                       ${PYTHON_CMD} -m py_compile ${BUILD_WRKSRC}/tevent.py
> +                       ${PYTHON_CMD} -O -m py_compile ${BUILD_WRKSRC}/tevent.py
>  .endif
>
> +do-install:
> +                       @(cd ${INSTALL_WRKSRC} && ${SETENV} ${MAKE_ENV} ${PYTHON_CMD} ${INSTALL_WRKSRC}/${WAF_TOOL} ${MAKE_ARGS} ${INSTALL_TARGET})
> +
>  .include <bsd.port.post.mk>
>
> Modified: head/devel/tevent/files/patch-lib__replace__wscript
> ==============================================================================
> --- head/devel/tevent/files/patch-lib__replace__wscript Mon Jul  1 01:52:10 2013        (r322110)
> +++ head/devel/tevent/files/patch-lib__replace__wscript Mon Jul  1 02:36:07 2013        (r322111)
> @@ -1,8 +1,11 @@
> ---- lib/replace/wscript.orig
> -+++ lib/replace/wscript
> -@@ -55,6 +55,7 @@
> +--- lib/replace/wscript.orig   2013-06-30 21:48:11.959883882 +0000
> ++++ lib/replace/wscript        2013-06-30 21:48:25.639903597 +0000
> +@@ -53,8 +53,9 @@
> +                 conf.ADD_CFLAGS(f)
> +             break
>
> -     if conf.CHECK_CFLAGS(['-fstack-protector']):
> +-    if conf.CHECK_CFLAGS(['-fstack-protector']):
> ++    if conf.CHECK_CFLAGS(['-fstack-protector']) and conf.CHECK_LDFLAGS(['-fstack-protector']):
>           conf.ADD_CFLAGS('-fstack-protector')
>  +        conf.ADD_LDFLAGS('-fstack-protector')
>
>
> Modified: head/devel/tevent/files/patch-wscript
> ==============================================================================
> --- head/devel/tevent/files/patch-wscript       Mon Jul  1 01:52:10 2013        (r322110)
> +++ head/devel/tevent/files/patch-wscript       Mon Jul  1 02:36:07 2013        (r322111)
> @@ -1,6 +1,6 @@
> ---- wscript.orig       2012-02-09 13:14:17.000000000 +0100
> -+++ wscript    2012-03-14 23:32:55.000000000 +0100
> -@@ -73,7 +73,7 @@
> +--- wscript.orig       2013-03-02 08:57:47.000000000 +0000
> ++++ wscript    2013-06-30 06:22:09.109879947 +0000
> +@@ -90,7 +90,7 @@
>           SRC += ' tevent_epoll.c'
>
>       if bld.env.standalone_tevent:
> @@ -9,3 +9,12 @@
>           private_library = False
>       else:
>           private_library = True
> +@@ -120,7 +120,7 @@
> +                          pattern='tevent.py',
> +                          installdir='python')
> +
> +-        bld.INSTALL_WILDCARD('${PYTHONARCHDIR}', 'tevent.py', flat=False)
> ++        bld.INSTALL_WILDCARD('${PYTHONARCHDIR}', 'tevent.py*', flat=False)
> +
> +
> + def test(ctx):
>



-- 
Eitan Adler
Source, Ports, Doc committer
Bugmeister, Ports Security teams